# Changelog

All notable changes to the CDC Aggregator Shared Library will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).


## [0.3.0] - 2022-05-18
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.6577777.svg)](https://doi.org/10.5281/zenodo.6577777)

**Contains backwards incompatible changes.**

### Changed

- The studies generator in `mappings.DynamicAggregatorBase` now assings
  the `study._aggregator_identifier`. The identifier is generated by
  first joining the source OAI-PMH Base URL and OAI Identifier by a
  separator '-', and then generating a sha256 hexadecimal notation of
  the result. (Implements [#27](https://bitbucket.org/cessda/cessda.cdc.aggregator.shared-library/issues/27))
- `Study._aggregator_identifier` can now be set using
  `records.Study.set_aggregator_identifier()`.
- `Study._aggregator_identifier` is no longer generated when creating a new
  Study-object.
- Update dependency of Kuha Common in requirements.txt. Use released
  version 1.0.0.


## [0.2.0] - 2021-12-17
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5779958.svg)](https://doi.org/10.5281/zenodo.5779958)

### Changed

- Update dependencies in requirements.txt.
  - ConfigArgParse 1.5.3
  - Kuha Common commit 8e7de1f16530decc356fee660255b60fcacaea23


## [0.1.0] - 2021-09-21

### Added

Initial codebase.
